"use client"

import React from "react";
import { Text, Button, Paper, TextInput, MantineProvider, Image, Box, Anchor, PasswordInput, Title, Checkbox, Card, Group, Flex, Stack } from "@mantine/core";
import myImage from '@/app/image/ebanking.jpg';
import bgImage from '@/app/image/media.jpg';
import frontPage from '@/app/image/ib_front_page.jpg'
import NextImage from 'next/image';
import { KccbTheme } from "@/app/_themes/KccbTheme";
import { Providers } from "@/app/providers";

export default function Demo() {
    return (
        <Providers>
            <div
                style={{
                    backgroundColor: "#f8f9fa",
                    padding: "20px",
                    fontFamily: "sans-serif",
                    height: '100vh',
                    // border: "solid black"
                }}
            >
                <Image
                    radius="md"
                    fit="cover"
                    src={myImage}
                    component={NextImage}
                    alt="ebanking"
                    style={{ width: "100%", height: "12%" }}
                />
                {/* For Text */}
                {/* <Paper shadow="sm" p="lg" withBorder style={{ maxWidth: 1000, margin: "auto" }}>
                    <Text
                        style={{
                            fontSize: "20px",
                            textAlign: "center",
                            marginBottom: "20px",
                            fontWeight: "bold",
                        }}
                    >
                        KCC Bank welcomes you to KCCB - Internet Banking Services
                    </Text>
                </Paper> */}
                {/* Security Message */}
                <Box style={{ width: "100%", overflow: "hidden", whiteSpace: "nowrap", padding: "8px 0" }}>
                    <Text
                        component="span"
                        style={{
                            display: "inline-block", paddingLeft: "100%", animation: "scroll-left 60s linear infinite", fontWeight: "bold", color: "#004d99"
                        }}>
                        ⚠️ Always login to our Net Banking site directly or through Banks website.
                        ⚠️ Do not disclose your User Id and Password to any third party and keep Your UserId and Password strictly confidential.
                        ⚠️ KCC Bank never asks for UserId,Passwords and Pins through email or  phone.
                        ⚠️ Be ware of Phishing mails with links to fake bank's websites asking for personal information are in circulation.
                        ⚠️ Please DO NOT Click on the links given in the emails asking for personal details like bank account number, userID and password.
                        ⚠️ If you had shared your User Id and Password through such mails or links, please change your Password immediately.
                        ⚠️ Inform the Bank/branch in which your account is maintained for resetting your password.
                    </Text>
                    <style>
                        {`
                            @keyframes scroll-left {
                                0% {
                                transform: translateX(0%);
                                }
                                100% {
                                transform: translateX(-100%);
                                }
                            }
                            `}
                    </style>
                </Box>
                <div style={{ display: "flex", height: "70vh" }}>
                    <div style={{ flex: 1, backgroundColor: "#f0f0f0", display: "flex" }}>
                        <Image
                            radius="md"
                            fit="cover"
                            src={frontPage}
                            component={NextImage}
                            alt="ebanking"
                            style={{ width: "100%", height: "100%" }}
                        />
                    </div>
                    <div style={{ flex: 1, backgroundColor: "#c1e0f0", display: "flex", justifyContent: 'center', alignItems: 'center' }}>
                        <Card shadow="lg" padding="xl" radius="md" style={{ width: 480, height: 400, backgroundColor: '#f0f0f0', boxShadow: '#f0f0f0' }}>
                            <Title order={5} style={{ marginLeft: 10 }}>Welcome To KCC Bank</Title>
                            <Title order={1} style={{ marginLeft: 10, color: "#000066" }}>Internet Banking</Title>
                            {/* <Box style={{ width: "400px", height: "200px", margin: "10px 0 20px 10px", border: "1px solid black", marginLeft: 30 }}>
                                <form style={{ marginLeft: 10, width: "100px", height: "50px" }}>
                                    <Flex gap="sm" align="center" justify="flex-start" style={{border: "solid blue",width:"300%"}}>
                                        <Text style={{border:"solid black"}}>CIF Number</Text>
                                        <TextInput
                                            placeholder="Enter your CIF no"
                                            style={{ flex: 1 }}
                                        />
                                        <Text style={{border:"solid black"}}>Password : </Text>
                                    </Flex>
                                </form>
                            </Box> */}
                            <Box style={{ width: "370px", padding: "20px", borderRadius: "12px", boxShadow: "0 2px 10px rgba(0,0,0,0.1)", border: "1px solid black", marginLeft: 30 }}>
                                <Flex justify="center" gap="md" >
                                    <form>
                                        <TextInput
                                            label="CIF Number"
                                            placeholder="Enter your CIF no"
                                            style={{ flex: 1 }}
                                        />
                                        <br></br>
                                        <TextInput
                                            label="Password"
                                            placeholder="Enter your password"
                                            style={{ flex: 1 }}
                                        />
                                        <br></br>
                                        <Button fullWidth variant="filled" mt="md">Login</Button>
                                    </form>
                                </Flex>
                            </Box>
                        </Card>
                    </div>

                </div>
            </div>
        </Providers>
    );
}